Bug 1271233 - Dynamic VDB Generation - Problem with DDL generated for procedure
Dynamic VDB Generation - Problem with DDL generated for procedure
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Mac OS
unspecified Severity medium
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 08:46 EDT by Matus Makovy
Modified: 2016-07-21 05:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:27:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2688 Major Resolved Dynamic VDB Generation - Problem with DDL generated for procedure 2016-07-21 06:05 EDT
JBoss Issue Tracker TEIIDDES-2697 Major Closed Virtual procedure in generated dynamic VDB does not return result set 2016-07-21 06:05 EDT

  None (edit)
Description Matus Makovy 2015-10-13 08:46:11 EDT
I have a VDB that was created for consumption of REST Web Service.
There is a procedure named getProgrammes(). DDL generated for dynamic VDB is:


CREATE VIRTUAL PROCEDURE getProgrammes ()
	AS
 CREATE VIRTUAL PROCEDURE
BEGIN
	DECLARE STRING VARIABLES.qp = '';
	SELECT 
	A.pid AS pid, A."start" AS "start", A."end" AS "end", A.title AS title
FROM
	(EXEC SourceModel.invokeHttp(action=>'GET',endpoint=>VARIABLES.qp,stream=>'TRUE')) AS f, XMLTABLE('/schedule' PASSING XMLPARSE(DOCUMENT f.result) COLUMNS pid string PATH 'day/broadcasts/broadcast/pid/text()', "start" string PATH 'day/broadcasts/broadcast/start/text()', "end" string PATH 'day/broadcasts/broadcast/end/text()', title string PATH 'day/broadcasts/broadcast/programme/title/text()') AS A;
END;


Obviously, there is one extra "CREATE VIRTUAL PROCEDURE".
Even after fixing this issue there is another error:


VDB:  REST  State:  INACTIVE  ERROR:  TEIID31080 ViewModel.getProgrammes validation error: TEIID31118 Element "f.result" is not defined by any relevant group.  ERROR:  TEIID31080 ViewModel.getProgrammes1 validation error: TEIID31118 Element "f.result" is not defined by any relevant group.  Models:     SourceModel     ViewModel


"f" should be a refrence to "EXEC SourceModel.invokeHttp(action=>'GET',endpoint=>VARIABLES.qp,stream=>'TRUE'))" as descibed in the SQL
Comment 1 JBoss JIRA Server 2015-10-14 13:29:35 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2688 to Resolved
Comment 2 Barry LaFond 2015-11-03 12:06:14 EST
This was resolved/fixed for JBDSIS 8.0.4.GA (9.0.4.Final Designer)
Comment 3 Matus Makovy 2015-11-04 03:14:58 EST
I reproduced this today. This is not fixed in Designer 9.0.4. According to JIRA this should be fixed in Designer 9.2
Comment 4 Barry LaFond 2015-11-04 08:20:27 EST
Correct, this was not merged into 9.0.4.  Added a TEIIDDES-2697 since it related to virtual procedures also.
Comment 5 JBoss JIRA Server 2015-11-09 07:22:02 EST
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2697 to Reopened
Comment 6 Barry LaFond 2015-12-07 08:27:51 EST
Using only JIRA now.  Marking as closed
Comment 7 JBoss JIRA Server 2016-02-03 10:16:03 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2697 to Resolved
Comment 8 JBoss JIRA Server 2016-02-18 08:24:44 EST
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2697 to Closed
Comment 9 JBoss JIRA Server 2016-03-01 09:46:57 EST
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2697 to Reopened
Comment 10 JBoss JIRA Server 2016-03-01 11:29:58 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2697 to Resolved
Comment 11 JBoss JIRA Server 2016-07-21 05:59:00 EDT
Matej Kralik <mkralik@redhat.com> updated the status of jira TEIIDDES-2697 to Closed

Note You need to log in before you can comment on or make changes to this bug.